<div class="row">
  <div class="col-8">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col text-white">
            Employee Portal
          </div>
          <!-- <div class="col-6 text-right">

          </div> -->
        </div>
      </div>
      <div class="card-body">
        <table class="table table-bordered">
          <thead>
            <th>Sr.no</th>
            <th>Name</th>
            <th>Contact No</th>
            <th>Email</th>
            <th>Account No.</th>
            <th>Bank Name</th>
            <th>IFSC</th>
            <th>salary</th>
            <th>Action</th>
          </thead>

          <tbody>
            <tr *ngFor="let item of employeeArray; let sr=index">
              <td>{{sr+1}}</td>
              <td>{{item.empName}}</td>
              <td>{{item.empContactNo}}</td>
              <td>{{item.empEmail}}</td>
              <td>{{item.accountNo}}</td>
              <td>{{item.bankName}}</td>
              <td>{{item.ifsc}}</td>
              <td>{{item.salary}}</td>
              <td><Button class="btn btn-success btn-sm" (click)="onEdit(item.empId)">edit</Button>
                <Button class="btn btn-danger btn-sm mx-2" (click)="onDelete(item.empId)">delete</Button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>

  <div class="col-4">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white">
            New Employee
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <form>
          <div class="row">
            <div class="col-6">
              <label for="">Name</label>
              <input type="text" class="form-control" name="empName" [(ngModel)]="employeeObj.empName" />
            </div>
            <div class="col-6">
              <label for="">empContactNo</label>
              <input type="text" class="form-control" name="empName" [(ngModel)]="employeeObj.empContactNo" />
            </div>
            <div class="col-6">
              <label for="">empAltContactNo</label>
              <input type="text" class="form-control" name="empName" [(ngModel)]="employeeObj.empAltContactNo" />
            </div>
            <div class="col-6">
              <label for="">empEmail</label>
              <input type="text" class="form-control" name="empEmail" [(ngModel)]="employeeObj.empEmail" />
            </div>
            <div class="col-6">
              <label for="">addressLine1</label>
              <textarea type="text" class="form-control" name="addressLine1" [(ngModel)]="employeeObj.addressLine1"
                cols=""></textarea>
            </div>
            <div class="col-6">
              <label for="">addressLine2</label>
              <textarea type="text" class="form-control" name="addressLine2" [(ngModel)]="employeeObj.addressLine2"
                cols=""></textarea>
            </div>
            <div class="col-6">
              <label for="">pincode</label>
              <input type="text" class="form-control" name="pincode" [(ngModel)]="employeeObj.pincode" />
            </div>
            <div class="col-6">
              <label for="">city</label>
              <input type="text" class="form-control" name="city" [(ngModel)]="employeeObj.city" />
            </div>
            <div class="col-6">
              <label for="">state</label>
              <input type="text" class="form-control" name="state" [(ngModel)]="employeeObj.state" />
            </div>
            <div class="col-6">
              <label for="">bankName</label>
              <input type="text" class="form-control" name="bankName" [(ngModel)]="employeeObj.bankName" />
            </div>
            <div class="col-6">
              <label for="">ifsc</label>
              <input type="text" class="form-control" name="ifsc" [(ngModel)]="employeeObj.ifsc" />
            </div>
            <div class="col-6">
              <label for="">accountNo</label>
              <input type="text" class="form-control" name="accountNo" [(ngModel)]="employeeObj.accountNo" />
            </div>
            <div class="col-6">
              <label for="">bankBranch</label>
              <input type="text" class="form-control" name="bankBranch" [(ngModel)]="employeeObj.bankBranch" />
            </div>
            <div class="col-6">
              <label for="">salary</label>
              <input type="text" class="form-control" name="salary" [(ngModel)]="employeeObj.salary" />
            </div>
            <div class="row text-center pt-3">
              <div class="col-6">
                <button (click)="onReset()" class="btn btn-secondary btn-sm">Reset</button>
              </div>
              <div class="col-6">
                {{this.employeeObj.id}}
                <button (click)="onSave()" class="btn btn-success btn-sm" *ngIf="this.employeeObj.empId==0">Save
                  Employee</button>
                <button (click)="onSave()" class="btn btn-warning btn-sm" *ngIf="this.employeeObj.empId!=0">Update
                  Employee</button>


              </div>
            </div>
          </div>
        </form>
      </div>

    </div>
  </div>
</div>